## mixer.app 1.8.0

=== Makefile ===
#
# Mixer.app Makefile
#

DESTDIR =
GNUSTEP_BINDIR = /usr/local/GNUstep/Apps/Mixer.app
X11_BINDIR = /usr/X11R6/bin

CXX=c++
CXXFLAGS += -Wall -pedantic -fno-rtti -fno-exceptions -O2 -I/usr/X11R6/include
LDFLAGS += -L/usr/X11R6/lib -lXpm -lXext -lX11

OBJECTS = Main.o Mixer.o Xpm.o

all: Mixer.app

Mixer.app: $(OBJECTS)
	$(CXX) $(OBJECTS) -o $@ $(LDFLAGS)

.PHONY:	install clean distclean

install: install-gnustep

install-gnustep: all
	install -d  $(DESTDIR)$(GNUSTEP_BINDIR)
	install -m 0755 Mixer.app $(DESTDIR)$(GNUSTEP_BINDIR)/Mixer

install-x11: all
	install -d  $(DESTDIR)$(X11_BINDIR)
	install -m 0755 Mixer.app $(DESTDIR)$(X11_BINDIR)/Mixer.app

clean:
	rm -f *~ *.o

# End of file

=== debian/changelog ===
mixer.app (1.8.0-5) unstable; urgency=low

  * Sync control with override: sound/optional -> gnustep/optional.
  * Convert to 3.0 (quilt).
  * Switch to dh, compat level (v9).
  * Add -Wl,--as-needed to LDFLAGS.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 11 Mar 2012 12:20:04 +0100

mixer.app (1.8.0-4) unstable; urgency=low

  * revert unnecessary change for non-bug #420978
  * Update menu file for menu 2.1.35 by switching from Apps/Sound to
    Applications/Sound.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 22 Jul 2007 11:55:37 +0000

mixer.app (1.8.0-3) unstable; urgency=low

  * Fix FTBFS with gcc 4.3. (Thanks, Martin Michlmayr) Closes: #420978
  * Drop /usr/X11R6/{include,lib} from compiler/linker commandline.
  * Standards-version 3.7.2.2.
  * Use debhelper v5 mode.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 27 Apr 2007 17:15:03 +0000

mixer.app (1.8.0-2) unstable; urgency=low

  * Do not build-depend on xlibs-dev anymore. (Closes: #347011)
  * Fix menu-entry to point to existing file.
  * Fill debian/copyright with useful content.
  * Bump standards-version to 3.6.2. (no changes required)

 -- Andreas Metzler <ametzler@debian.org>  Mon,  9 Jan 2006 20:43:47 +0100

mixer.app (1.8.0-1) unstable; urgency=low

  * New maintainer (Closes: #182929)
  * Incorprate changes from NMUs into package if still necessary
    (Closes: #92670), and acknowlegde the other one, which are fixed by using
    the new upstream instead (Closes: #105174,#110452).
  * New upstream version (Closes: #100184)
  * Update debian/copyright.
  * Doesn't use imake anymore, move from /usr/X11R6 to /usr.
  * Use debhelper v4 mode.
  * Upgrade standards-version.
  * write and ship manpage.

 -- Andreas Metzler <ametzler@debian.org>  Sun,  4 May 2003 14:12:10 +0200

mixer.app (1.5.0-2.2) unstable; urgency=low

  * NMU.
  * Changed ComplexProgramTarget to ComplexProgramTargetNoMan in
    the Imakefile to reenable building from source.  Closes: #110452.
  * Added header files to Xpm.cc so exit() and strlen() get
    declared.  Closes: #105174.

 -- Jeff Licquia <jlicquia@progeny.com>  Thu, 20 Sep 2001 10:46:53 -0600

mixer.app (1.5.0-2.1) unstable; urgency=low

  * NMU
  * Updated the build dependencies. (closes: #92670)

 -- Adrian Bunk <bunk@fs.tum.de>  Wed, 27 Jun 2001 21:31:29 +0200

mixer.app (1.5.0-2) unstable; urgency=low

  * Changed CXXFLAGS to "-Wall -O2" (closes: #65031)

 -- Adam Klein <aklein@debian.org>  Sat,  3 Jun 2000 11:42:25 -0700

mixer.app (1.5.0-1) unstable; urgency=low

  * New maintainer
  * New upstream release
  * Removed redundant README.debian

 -- Adam Klein <aklein@debian.org>  Sun, 28 May 2000 10:42:24 -0700

mixer.app (1.4.0-3) frozen unstable; urgency=low

  * debian/control: fixed typo, it's xlib6g-dev (RC bug) (Closes:
    bug#55535, bug#54448)
  * debian/mixer.app.menu: another typo, it's Mixer.app, not mixer.app
    (Closes: bug#53973)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sun, 23 Jan 2000 17:19:42 +0100

mixer.app (1.4.0-2) unstable; urgency=low

  * Recompiled against current libstdc++. Closes: #53363.
  * debian/control: Standards-Version: 3.1.1
  * debian/control: added Build-Depends
  * debian/rules: export DH_COMPAT=2

 -- Marcelo E. Magallon <mmagallo@debian.org>  Wed, 29 Dec 1999 22:56:07 +0100

mixer.app (1.4.0-1) unstable; urgency=low

  * New upstream version

 -- Marcelo E. Magallon <mmagallo@debian.org>  Mon, 10 May 1999 05:44:12 -0600

mixer.app (1.3.1-1) unstable; urgency=low

  * New upstream version (Thanks Adam!)
  * debian/control: s/requiere/require/

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sat, 10 Apr 1999 07:21:07 -0600

mixer.app (1.0.5-1) unstable; urgency=low

  * New upstream version.
  * Changed source package name to lowercase

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sun,  6 Sep 1998 21:20:38 -0600

Mixer.app (1.0.4-1) unstable; urgency=low

  * Initial release

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sat, 21 Mar 1998 12:45:01 -0600

=== debian/control ===
Source: mixer.app
Section: gnustep
Priority: optional
Maintainer: Andreas Metzler <ametzler@debian.org>
Build-Depends: libxpm-dev, libxext-dev, libx11-dev, debhelper (>= 9)
Standards-Version: 3.9.3

Package: mixer.app
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: wmaker
Description: Another mixer application designed for WindowMaker
 There's nothing in the program that makes it *require* WindowMaker,
 except maybe the look. Mixer.app is a mixer utility for Linux
 systems. Requires /dev/mixer to work. Provides three customizable
 controls on a tiny 64x64 app.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed

override_dh_auto_clean:
	rm -f Mixer.app
	dh_auto_clean

override_dh_auto_install:
	$(MAKE) X11_BINDIR=/usr/bin DESTDIR=`pwd`/debian/mixer.app install-x11

%:
	dh $@
